package com.steema.teechart.demo;

import android.os.Bundle;
import android.support.v7.app.ActionBarActivity;
import android.view.Menu;
import android.view.MenuItem;
import android.view.ViewGroup;

import com.steema.teechart.TChart;
import com.steema.teechart.drawing.Color;
import com.steema.teechart.styles.*;
import com.steema.teechart.styles.Series;

import static com.steema.teechart.demo.R.*;

public class MyActivity extends ActionBarActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        setContentView(layout.activity_my);

        ViewGroup v;
        v = (ViewGroup) findViewById( id.mylayout );

        TChart chart = new TChart( this );
        v.addView( chart );

        chart.getAxes().getBottom().setIncrement( 1 );

        Series series1 = new Pie( chart.getChart() ); // new Bar HorizBar Area Line FastLine etc
        series1.add( 123, "Apples", Color.green );
        series1.add( 456, "Oranges", Color.red );
        series1.add( 321, "Kiwis", Color.yellow );

        chart.getLegend().getFont().setSize(36);
        series1.getMarks().getFont().setSize(36);

        chart.getHeader().getFont().setSize(44);

        chart.getPanel().getGradient().setVisible(true);
    }


    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.my, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        if (id == R.id.action_settings) {
            return true;
        }

        return super.onOptionsItemSelected(item);
    }
}
